Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class IndentWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              de.grogra.pf.io.IndentWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class IndentWriter

extends java.io.FilterWriter

Field Summary

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`IndentWriter(java.io.Writer out, int indentAmount)`

Method Summary
`protected void` | `checkIndentation()`
`void` | `indent()`
`void` | `print(char c)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `unindent()`

Methods inherited from class java.io.FilterWriter
`close, flush, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentWriter

    public IndentWriter(java.io.Writer out,
                        int indentAmount)

Method Detail

### checkIndentation

    protected void checkIndentation()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### indent

    public void indent()

### print

    public void print(char c)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### print

    public void print(double d)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### print

    public void print(float f)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### print

    public void print(int i)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### println

    public void println()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### unindent

    public void unindent()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD